
ChiliProject - Bug # 479: Generalize Journals migrations does too much

Status: Closed Priority: High
Author: Eric Davis Category: Journals / History
Created: 2011-06-16 Assignee: Eric Davis
Updated: 2011-07-19 Due date:
Remote issue URL:
Affected version: unstable
Description: The GeneralizeJournals migration does too much and thus when it fails, the database is left in a state where 

it can't be recovered (due to schema changes that can't be wrapped in a transaction).

I'm going to split it up into multiple migrations so they can run separately. It will be some code duplication but 
it will be worth it if we don't have to debug a half-run migration in production.

Associated revisions
2011-06-17 06:49 pm - Eric Davis
[#479] Split GeneralizeJournals into separate, incremental migrations

History
2011-06-17 04:55 pm - Eric Davis
- Status changed from Open to Closed

Split the single migration into 4 separate ones. commit:52b83da in release-v2.0.0

If someone has already successfully run the generalize_journals in production, they will need to insert a few values by hand so Rails doesn't try to 
re-run the migrations. This should work:

<pre><code class="sql">
insert into schema_migration VALUES ('20100714111652')
insert into schema_migration VALUES ('20100714111653')
insert into schema_migration VALUES ('20100714111654')
</code></pre>

(20100714111651 is generalize_journals which should be there already)

2011-07-19 02:31 pm - Ryan Briones
Should be @schema_migrations@ (plural)

<pre>
INSERT INTO schema_migrations VALUES ('20100714111652');
INSERT INTO schema_migrations VALUES ('20100714111653');
INSERT INTO schema_migrations VALUES ('20100714111654');
</pre>
